Prolifto
API reference

Collections

Curated product collections

Archive

POST
/collections/archive

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/archive" \  -H "Content-Type: application/json" \  -d '{    "collectionId": "string"  }'
{}

Archive Many

POST
/collections/archiveMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/archiveMany" \  -H "Content-Type: application/json" \  -d '{    "collectionIds": [      "string"    ]  }'
{}

Create

POST
/collections/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/create" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{}

Force Delete

POST
/collections/forceDelete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/forceDelete" \  -H "Content-Type: application/json" \  -d '{    "collectionId": "string"  }'
{}

Force Delete Many

POST
/collections/forceDeleteMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/forceDeleteMany" \  -H "Content-Type: application/json" \  -d '{    "collectionIds": [      "string"    ]  }'
{}

Get Many

GET
/{organizationSlug}/collections

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

deletedOnly?boolean
Defaultfalse
isActive?boolean
limit?number
Default10
Range1 <= value <= 100
orderBy?array<>
Default["created_desc"]
page?number
Default1
Range1 <= value
search?|

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/collections"
{}

Get Many Lite

GET
/{organizationSlug}/collections/lite

Path Parameters

organizationSlug*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/collections/lite"
{}

Get One

GET
/{organizationSlug}/collections/{collectionSlug}

Path Parameters

organizationSlug*string
Length1 <= length
collectionSlug*string
Length1 <= length

Query Parameters

includeDeleted?boolean
Defaultfalse

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/collections/string"
{}

Restore

POST
/collections/restore

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/restore" \  -H "Content-Type: application/json" \  -d '{    "collectionId": "string"  }'
{}

Restore Many

POST
/collections/restoreMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/restoreMany" \  -H "Content-Type: application/json" \  -d '{    "collectionIds": [      "string"    ]  }'
{}

Update

POST
/collections/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/collections/update" \  -H "Content-Type: application/json" \  -d '{    "collectionId": "string",    "name": "string"  }'
{}